Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.indexer
Class ContentTypeIndexer

    java.lang.Object
      |
      +--org.w3c.tools.resources.AttributeHolder
            |
            +--org.w3c.tools.resources.Resource
                  |
                  +--org.w3c.tools.resources.indexer.SampleResourceIndexer
                        |
                        +--org.w3c.jigsaw.indexer.ContentTypeIndexer

public class ContentTypeIndexer
extends SampleResourceIndexer

Field Summary
`protected ResourceReference` | `contentTypes`

Fields inherited from class org.w3c.tools.resources.indexer.SampleResourceIndexer
`ATTR_NOT_INDEXED, ATTR_SUPER_INDEXER, contentTypes, defname, directories, extCaseSensitive, extensions, isWinPlatform`

Fields inherited from class org.w3c.tools.resources.Resource
`ATTR_CONTEXT, ATTR_HELP_URL, ATTR_IDENTIFIER, ATTR_LAST_MODIFIED, ATTR_PARENT, ATTR_RESOURCE_FRAMES, ATTR_STORE_ENTRY, ATTR_URL, co, id`

Fields inherited from class org.w3c.tools.resources.AttributeHolder
`attributes, values`

Constructor Summary
`ContentTypeIndexer()`

Method Summary
`protected Resource` | `createFileResource(java.io.File directory, RequestInterface req, java.lang.String name, java.util.Hashtable defs)` Create a default file resource for this file (that exists).
`void` | `delete()` Delete this indexer.
`java.util.Enumeration` | `enumerateResourceIdentifiers(boolean all)` Enumerate children resource identifiers.
`protected ResourceReference` | `getContentTypes()`
`ResourceReference` | `loadContentType(java.lang.String type)`
`ResourceReference` | `lookup(java.lang.String name)` Lookup a children in the container.

Methods inherited from class org.w3c.tools.resources.indexer.SampleResourceIndexer
`createDirectoryResource, createResource, createVirtualResource, delete, getDirectories, getExtensions, getFileExtensions, getIndexedDirName, getIndexedFileName, getIndexedName, getSuperIndexer, getTemplateFor, lastModified, loadDirectory, loadExtension, mergeDefaultAttributes, mergeFrameAttributes, registerResource`

Methods inherited from class org.w3c.tools.resources.Resource
`acceptUnload, checkMultipleLock, collectFrames, getClone, getContext, getFrame, getFrames, getHelpURL, getHelpURL, getIdentifier, getLastModified, getParent, getResourceReference, getServer, getSpace, getSpaceEntry, getStoreEntry, getURLPath, getValue, getValue, initialize, initialize, isInitialized, isUnloaded, markModified, notifyUnload, pickleValues, registerFrame, setContext, setContext, setValue, setValue, unregisterFrame, unsafeGetContext, unsafeGetIdentifier, unsafeGetValue, updateAttributes`

Methods inherited from class org.w3c.tools.resources.AttributeHolder
`definesAttribute, definesAttribute, getAttributes, getBoolean, getChar, getClone, getClone, getDouble, getFloat, getInt, getLong, getString, getValue, lookupAttribute, print, setBoolean, setChar, setDouble, setFloat, setInt, setLong, setString, setValue, unsafeGetString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### contentTypes

    protected ResourceReference contentTypes

Constructor Detail

### ContentTypeIndexer

    public ContentTypeIndexer()

Method Detail

### enumerateResourceIdentifiers

    public java.util.Enumeration enumerateResourceIdentifiers(boolean all)

  Description copied from interface: ContainerInterface
  Enumerate children resource identifiers.
  Overrides:
    enumerateResourceIdentifiers in class SampleResourceIndexer
  Tags copied from interface: ContainerInterface
  Parameters:
    `all` - Should all resources be enumerated ? Resources are often created on demand only, this flag allows the caller to tell the container about wether it is interested only in already created resources, or in all resources (even the one that have not yet been created).
  Returns:
    An String enumeration, one element per child.

### getContentTypes

    protected ResourceReference getContentTypes()

### lookup

    public ResourceReference lookup(java.lang.String name)

  Description copied from interface: ContainerInterface
  Lookup a children in the container.
  Overrides:
    lookup in class SampleResourceIndexer
  Tags copied from interface: ContainerInterface
  Parameters:
    `name` - The name of the children to lookup. the resource from its store.

### delete

    public void delete()
                throws MultipleLockException

  Delete this indexer.
  Overrides:
    delete in class SampleResourceIndexer
  Throws:
    MultipleLockException - if someone else has locked the resource

### loadContentType

    public ResourceReference loadContentType(java.lang.String type)

### createFileResource

    protected Resource createFileResource(java.io.File directory,
                                          RequestInterface req,
                                          java.lang.String name,
                                          java.util.Hashtable defs)

  Create a default file resource for this file (that exists).
  Overrides:
    createFileResource in class SampleResourceIndexer
  Parameters:
    `directory` - The directory of the file.
    `name` - The name of the file.
    `defs` - A set of default attribute values.
  Returns:
    An instance of Resource, or null if we were unable to create it.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD